Imports System.Threading
Imports System.Runtime.InteropServices
Imports VidGrab


Public Class Form1

    Public Const AUDIO_CLIPS As String = "*.mp3;*.wav;*.wma;*.mid"
    Public Const VIDEO_CLIPS As String = "*.mp*;*.vro;*.avi;*.asf;*.wmv;*.vob;*.avs;*.mov;*.divx;*.mp4;*.mts;*.3gp;*.swf;*.m2v;*.mkv;*.flv;*.wemb;*.ts;*.m4v;*.mp4v"
    Public Const IMAGE_FILES As String = "*.jpg;*.jpeg;*.jpe;*.bmp;*.gif;*.png"
    Public Const OPEN_MEDIA_FILES As String = "All media files|" + VIDEO_CLIPS + AUDIO_CLIPS + IMAGE_FILES + "|Video clips|" + VIDEO_CLIPS + "|Audio clips|" + AUDIO_CLIPS
    Public Const OPEN_MEDIA_FILES_EXTENDED As String = OPEN_MEDIA_FILES + "|Image files|" + IMAGE_FILES
    Public Const OPEN_PICTURE_FILES As String = "Image files|*.bmp;*.jpg;*.gif;*.png;*.tif;*.tiff;*.wmf;*.emf;*.exf;*.jpe;*.jpeg"
    Public Const OPEN_PROFILES As String = "WMV9 profiles (*.prx)|*.prx"
    Public Const OPEN_COMPRESSOR_SETTINGS As String = "Compressor saved settings (*.txt)|*.txt"

    Private m_PreparedClipIndex As Integer = 0

    Private Sub btnStartPlaylist_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStartPlaylist.Click
        lstPlayList.SelectedIndex = -1
        m_PreparedClipIndex = 0
        playListControl1.Play() ' each next clip is requested through the OnPrepareNextClip below
    End Sub

    Private Sub btnClosePlaylist_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClosePlaylist.Click
        playListControl1.Close()
    End Sub

    Private Sub playListControl1_OnPrepareNextClip(ByVal sender As System.Object, ByVal e As VidGrab.PlayListControl.TOnNextClipEventArgs) Handles playListControl1.OnPrepareNextClip
        If m_PreparedClipIndex < lstPlayList.Items.Count Then
            e.NextClipFileName = lstPlayList.Items(m_PreparedClipIndex).ToString()
            e.NextClipIndex = m_PreparedClipIndex

            If m_PreparedClipIndex < lstPlayList.Items.Count - 1 Then
                m_PreparedClipIndex += 1
            Else
                If chkLoop.Checked Then
                    ' loop
                    m_PreparedClipIndex = 0
                Else
                    e.EndOfPlaylist = True
                End If
            End If
        End If
    End Sub

    Private Sub playListControl1_OnConfigureVideoGrabber(ByVal sender As System.Object, ByVal e As VidGrab.PlayListControl.TOnConfigureVideoGrabberEventArgs) Handles playListControl1.OnConfigureVideoGrabber
        ' this event is called for each next clip loaded for playback

        ' THE TVIDEOGRABBER INITIALIZATION STATEMENTS CAN BE PLACED HERE (OVERLAYS, ETC...)
        ' UNCOMMENT THE LINES BELOW FOR TESTING

        e.VideoGrabber.TextOverlay_Enabled = True
        ' overlays the clip file name
        e.VideoGrabber.TextOverlay_String = e.NextClipFileName

        e.VideoGrabber.Display_AspectRatio = TAspectRatio.ar_Box

        'e.VideoGrabber.FrameGrabber = TFrameGrabber.fg_Disabled; // if no overlay or capture is needed the frame grabber can be disabled

        'e.VideoGrabber.OpenPlayerAtTimePositions(30000000, -1, true, true);  // to start playing at 3 seconds

    End Sub

    Private Sub playListControl1_OnNextClipPlaying(ByVal sender As System.Object, ByVal e As VidGrab.PlayListControl.TOnNextClipEventArgs) Handles playListControl1.OnNextClipPlaying
        If (e.NextClipIndex >= 0) AndAlso (e.NextClipIndex < lstPlayList.Items.Count) Then
            lstPlayList.SelectedIndex = e.NextClipIndex
        End If
    End Sub

    Private Sub chkFullScreen_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkFullScreen.CheckedChanged
        playListControl1.FullScreen(chkFullScreen.Checked)
    End Sub

    Private Sub btnAddClip_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAddClip.Click
        Dim fd As New OpenFileDialog()
        Dim i As Integer

        fd.Filter = OPEN_MEDIA_FILES_EXTENDED
        fd.Multiselect = True
        If fd.ShowDialog() = DialogResult.OK Then
            For i = 0 To fd.FileNames.Length - 1
                lstPlayList.Items.Add(fd.FileNames.GetValue(i))
                lstPlayList.SelectedIndex = 0
            Next
        End If

    End Sub

    Private Sub btnCaptureToControl_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCaptureToControl.Click
        Dim CurrentVideoGrabberPlaying As VideoGrabber = playListControl1.CurrentVideoGrabberPlaying()
        If CurrentVideoGrabberPlaying IsNot Nothing Then
            Dim FrameBitmap As System.IntPtr = CurrentVideoGrabberPlaying.GetLastFrameAsHBITMAP(0, False, 0, 0, 0, 0, _
             imgCapturedFrame.Width, imgCapturedFrame.Height, 32)
            If Not FrameBitmap.Equals(System.IntPtr.Zero) Then
                imgCapturedFrame.Image = Image.FromHbitmap(FrameBitmap)
                WinUtil.DeleteObject(FrameBitmap)
            End If
        End If
    End Sub

    Private Sub btnCaptureToPng_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCaptureToPng.Click
        Dim CurrentVideoGrabberPlaying As VideoGrabber = playListControl1.CurrentVideoGrabberPlaying()
        If CurrentVideoGrabberPlaying IsNot Nothing Then
            Dim FrameBitmap As System.IntPtr = CurrentVideoGrabberPlaying.GetLastFrameAsHBITMAP(0, False, 0, 0, 0, 0, _
             0, 0, 32)
            If Not FrameBitmap.Equals(System.IntPtr.Zero) Then
                Dim img As Image = Image.FromHbitmap(FrameBitmap)
                img.Save("CapturedFrame.png", System.Drawing.Imaging.ImageFormat.Png)
                WinUtil.DeleteObject(FrameBitmap)
            End If
        End If
    End Sub
End Class

